Package fr.gouv.vitam.common.model.logbook

# Class LogbookEvent

java.lang.Object
fr.gouv.vitam.common.model.logbook.LogbookEvent

Direct Known Subclasses:
  `LogbookEventOperation`, `LogbookLifecycle`

public class LogbookEvent extends Object
Logbook Common event model

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `AG_ID`
  `static final String`
  `EV_DATE_TIME`
  `static final String`
  `EV_DET_DATA`
  `static final String`
  `EV_ID`
  `static final String`
  `EV_ID_PROC`
  `static final String`
  `EV_PARENT_ID`
  `static final String`
  `EV_TYPE`
  `static final String`
  `EV_TYPE_PROC`
  `static final String`
  `LAST_PERSISTED_DATE`
  `static final String`
  `OB_ID`
  `static final String`
  `OUT_DETAIL`
  `static final String`
  `OUT_MESSG`
  `static final String`
  `OUTCOME`
  `static final String`
  `RIGHTS_STATEMENT_IDENTIFIER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogbookEvent()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAgId()`
  `String`
  `getEvDateTime()`
  `String`
  `getEvDetData()`
  `String`
  `getEvId()`
  `String`
  `getEvIdProc()`
  `String`
  `getEvParentId()`
  `String`
  `getEvType()`
  `String`
  `getEvTypeProc()`
  `String`
  `getLastPersistedDate()`
  `String`
  `getObId()`
  `String`
  `getOutcome()`
  `String`
  `getOutDetail()`
  `String`
  `getOutMessg()`
  `String`
  `getRightsStatementIdentifier()`
  Rights statement Identifier
  `void`
  `setAgId(String agId)`
  `void`
  `setEvDateTime(String evDateTime)`
  `void`
  `setEvDetData(String evDetData)`
  `void`
  `setEvId(String evId)`
  `void`
  `setEvIdProc(String evIdProc)`
  `void`
  `setEvParentId(String evParentId)`
  `void`
  `setEvType(String evType)`
  `void`
  `setEvTypeProc(String evTypeProc)`
  `void`
  `setLastPersistedDate(String lastPersistedDate)`
  `void`
  `setObId(String obId)`
  `void`
  `setOutcome(String outcome)`
  `void`
  `setOutDetail(String outDetail)`
  `void`
  `setOutMessg(String outMessg)`
  `void`
  `setRightsStatementIdentifier(String rightsStatementIdentifier)`
  Rights statement Identifier

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### EV_ID

    public static final String EV_ID
    See Also:
      - Constant Field Values

  - ### EV_PARENT_ID

    public static final String EV_PARENT_ID
    See Also:
      - Constant Field Values

  - ### EV_TYPE

    public static final String EV_TYPE
    See Also:
      - Constant Field Values

  - ### EV_DATE_TIME

    public static final String EV_DATE_TIME
    See Also:
      - Constant Field Values

  - ### EV_ID_PROC

    public static final String EV_ID_PROC
    See Also:
      - Constant Field Values

  - ### EV_TYPE_PROC

    public static final String EV_TYPE_PROC
    See Also:
      - Constant Field Values

  - ### OUTCOME

    public static final String OUTCOME
    See Also:
      - Constant Field Values

  - ### OUT_DETAIL

    public static final String OUT_DETAIL
    See Also:
      - Constant Field Values

  - ### OUT_MESSG

    public static final String OUT_MESSG
    See Also:
      - Constant Field Values

  - ### AG_ID

    public static final String AG_ID
    See Also:
      - Constant Field Values

  - ### OB_ID

    public static final String OB_ID
    See Also:
      - Constant Field Values

  - ### EV_DET_DATA

    public static final String EV_DET_DATA
    See Also:
      - Constant Field Values

  - ### RIGHTS_STATEMENT_IDENTIFIER

    public static final String RIGHTS_STATEMENT_IDENTIFIER
    See Also:
      - Constant Field Values

  - ### LAST_PERSISTED_DATE

    public static final String LAST_PERSISTED_DATE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LogbookEvent

    public LogbookEvent()

- ## Method Details

  - ### getEvId

    public String getEvId()
    Returns:
      the evId

  - ### setEvId

    public void setEvId(String evId)
    Parameters:
      `evId` - the evId to set

  - ### getEvParentId

    public String getEvParentId()
    Returns:
      the evParentId

  - ### setEvParentId

    public void setEvParentId(String evParentId)
    Parameters:
      `evParentId` - the evParentId to set

  - ### getEvType

    public String getEvType()
    Returns:
      the evType

  - ### setEvType

    public void setEvType(String evType)
    Parameters:
      `evType` - the evType to set

  - ### getEvDateTime

    public String getEvDateTime()
    Returns:
      the evDateTime

  - ### setEvDateTime

    public void setEvDateTime(String evDateTime)
    Parameters:
      `evDateTime` - the evDateTime to set

  - ### getEvIdProc

    public String getEvIdProc()
    Returns:
      the evIdProc

  - ### setEvIdProc

    public void setEvIdProc(String evIdProc)
    Parameters:
      `evIdProc` - the evIdProc to set

  - ### getEvTypeProc

    public String getEvTypeProc()
    Returns:
      the evTypeProc

  - ### setEvTypeProc

    public void setEvTypeProc(String evTypeProc)
    Parameters:
      `evTypeProc` - the evTypeProc to set

  - ### getOutcome

    public String getOutcome()
    Returns:
      the outcome

  - ### setOutcome

    public void setOutcome(String outcome)
    Parameters:
      `outcome` - the outcome to set

  - ### getOutDetail

    public String getOutDetail()
    Returns:
      the outDetail

  - ### setOutDetail

    public void setOutDetail(String outDetail)
    Parameters:
      `outDetail` - the outDetail to set

  - ### getOutMessg

    public String getOutMessg()
    Returns:
      the outMessg

  - ### setOutMessg

    public void setOutMessg(String outMessg)
    Parameters:
      `outMessg` - the outMessg to set

  - ### getAgId

    public String getAgId()
    Returns:
      the agId

  - ### setAgId

    public void setAgId(String agId)
    Parameters:
      `agId` - the agId to set

  - ### getObId

    public String getObId()
    Returns:
      the obId

  - ### setObId

    public void setObId(String obId)
    Parameters:
      `obId` - the obId to set

  - ### getEvDetData

    public String getEvDetData()
    Returns:
      the evDetData

  - ### setEvDetData

    public void setEvDetData(String evDetData)
    Parameters:
      `evDetData` - the evDetData to set

  - ### getRightsStatementIdentifier

    public String getRightsStatementIdentifier()
    Rights statement Identifier
    Returns:
      rightsStatementIdentifier

  - ### setRightsStatementIdentifier

    public void setRightsStatementIdentifier(String rightsStatementIdentifier)
    Rights statement Identifier
    Parameters:
      `rightsStatementIdentifier` -

  - ### getLastPersistedDate

    public String getLastPersistedDate()

  - ### setLastPersistedDate

    public void setLastPersistedDate(String lastPersistedDate)